### Function Macro

# GObject TYPE_CHECK_INSTANCE

#### Declaration [src]

    #define G_TYPE_CHECK_INSTANCE (
      instance
    )

#### Description [src]

Checks if `instance` is a valid `GTypeInstance` structure, otherwise issues a warning and returns `FALSE`. `NULL` is not a valid `GTypeInstance`.

This macro should only be used in type implementations.

This function is not directly available to language bindings.

#### Parameters

`instance`

  Type: `-`

  Location of a `GTypeInstance` structure.